{{> ph_us/mobileLegacy/forgotPasswordShared }}

<script>
  const form = document.querySelector('form');

  const modalOverlay = document.querySelector('.modal-overlay');
  const modalCloseButton = document.querySelector('.modal-close');
  modalCloseButton.addEventListener('click', closeModal);

  const emailField = document.getElementById('email');

  const submitButton = document.getElementById('submit-button');
  submitButton.addEventListener('click', trySubmit);

  function trySubmit() {
    const emailSelector = form.querySelector('[name="email"]');
    const emailValue = emailSelector.value;
    const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
    if (emailRegex.test(emailValue)) {
      form.submit();
    } else {
      displayError('Please enter a valid email address');
    }
  }

  function closeModal() {
    modalOverlay.style.display = 'none';
  }

  function displayError(errorMessage) {
    const modalOverlay = document.querySelector('.modal-overlay');
    modalOverlay.style.display = 'flex';

    const modalBody = document.querySelector('.modal-body');
    modalBody.innerHTML = `<p>${errorMessage}</p>`;
  }

  function handleAPIErrors(errors) {
    if (errors && errors.length) {
      const lastError = errors[errors.length - 1];
      const errorMessage = ERROR_MESSAGES[lastError];

      if (errorMessage) {
        displayError(errorMessage);
      }
    }
  }

  window.onload = () => {
    if (ERRORS && ERRORS.length) {
      handleAPIErrors(ERRORS);
    }
  }

  if (window.parent) {
    window.parent.postMessage({ type: "idp-forgot-password" }, "*")
  }
</script>